Skip to content

Partially updates a debit memo with the specified ID.

Request

This method will patch an existing debit memo with the specified ID, using the HTTP PATCH specification.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the debit memo to patch.

Bodyapplication/jsonrequired

The patch directives conforming to RFC 6902.

Array [
opstring(Op)required

The operation

Enum:"add""copy""move""remove""replace""test"
pathstring(Path)required

The JSON path

valuestring(Value)
]
curl -i -X PATCH \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/debitMemos/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "op": "add",
      "path": "string",
      "value": "string"
    }
  ]'

Responses

The debit memo was patched successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
base_currency_codestring, = 3 characters(Base Currency Code)

The base currency for transactions business unit

base_currency_symbolstring(Base Currency Symbol)

The base symbol for the transactions business unit

batch_idstring(Batch)required

The batch this transaction belongs to

business_unit_idstring(Business Unit)required

The business unit this transaction belongs to

cancellation_idstring(Cancellation)

The order cancellation tied to this transaction

currency_codestring, = 3 characters(Currency Code)

The currency code in use

Enum:"AED""AFN""ALL""AMD""ANG""AOA""ARS""AUD""AWG""AZN"
currency_symbolstring(Currency Symbol)

The currency symbol

custom_field_valuesArray of objects(Custom Field Values)
datestring, (date)(Date)

The date of the transaction

exchange_ratenumber, (double)(Exchange Rate)

The exchange rate, if applicable

idstring(ID)^[\w|-]+$required

The unique, string identifier of this debit memo

invoice_idstring(Invoice)required

The invoice the debit memo applies to

line_itemsArray of objects, non-emptyrequired
memostring(Memo)

Memo/description of the transaction

notesstring(Notes)

Notes fro the transaction

numberinteger(Number)required

The transaction number

order_idstring(Order)

The order tied to this transaction

return_idstring(Return)

The return tied to this transaction

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_search_composite_keystring(Sys Search Composite Key)

Internal use

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

totalnumber, (double)(Total)required

The transaction total

total_in_base_currencynumber, (double)(Total In Base Currency)required

The total of the transaction, in the base currency of the business unit.

workflow_execution_idstring(Workflow Execution)

The ID of the state machine execution used to create this transaction

Response
{ "base_currency_code": "str", "base_currency_symbol": "string", "batch_id": "string", "business_unit_id": "string", "cancellation_id": "string", "currency_code": "AED", "currency_symbol": "string", "custom_field_values": [ { … } ], "date": "2019-08-24", "exchange_rate": 0.1, "id": "string", "invoice_id": "string", "line_items": [ { … } ], "memo": "string", "notes": "string", "number": 0, "order_id": "string", "return_id": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_search_composite_key": "string", "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "total": 0.1, "total_in_base_currency": 0.1, "workflow_execution_id": "string" }